@ECHO OFF
REM make_envsaskia.cmd: A Windows batch file which assumes that plain
REM                     Python 3.7.0 has been installed in the standard
REM console terminal (NOT under Anaconda!) and that the SASkia
REM distribution archive has been expanded to D:\python\. Then a call
REM of THIS file in a console terminal window like
REM     D:\python> D:\python\saskia\BatchFiles\make_envsaskia
REM should install all python packages that are necessary for SASkia
REM and should provide the optimization which permits saskia to be
REM called "from any directory"

ECHO Upgrading to the actual version of the package installer pip
python -m pip install --upgrade pip

ECHO Installing packages needed by SASkia
ECHO ... interactive "ipy" command
pip install ipython
ECHO ... scientific computing
pip install scipy
ECHO ... the basic comand language interpeter
pip install cmd2
ECHO ... beeps in interactive graphics
pip install pygame
ECHO ... a (non-standard) way to store 2D patterns
pip install json_tricks

ECHO .
ECHO Trying to place the saskia.cmd in the search path
ECHO This is your active search path:
ECHO %PATG%
ECHO .
ECHO If now %userprofile%\AppData\Local\Programs\Python\Python37\ is in your
ECHO search path, the following copy command puts saskia.cmd in a directory
ECHO where it is searched and found:

copy D:\python\saskia\BatchFiles\saskia.cmd %userprofile%\AppData\Local\Programs\Python\Python37\
