#!/usr/bin/env python
# -*- coding: utf-8 -*-
# coding=utf-8# coding=utf-8
import os, sys
#TODO import other modules with their classes, e.g.:
# import glob # For filename search with wildcards

'''template.py: a template for a python script which can run in a cmd2 program

SYNTAX:  @@template,<par1>[''],<par2>['1.0']
         <par1>:    a first parameter
         <par2>:    the second parameter
RESULT:  What will happen to the instances of the hosting program?
EXAMPLE: @@template,mbsy02_*,2.03
         This example makes ...
'''

## Script procedures

def banner():
    # print the name of the running script
    myname = os.path.basename(sys.argv[0])
    self.poutput("Finished: {!r}".format(myname))
    pass
#END banner()

def argexpand( specs ):
    '''Expand the argument list, if the user has given less than specs
    arguments'''
    result = sys.argv[1:]
    while len( result ) < specs:
        result.append( '' )
    return result
#END argexpand()


def doit():
    '''doit does the work'''
    #argument lister
    for i, arg in enumerate(sys.argv[1:]):
        print("arg {}: {!r}".format(i+1, arg))

    ### Argument parsing
    argus = len( sys.argv ) - 1
    args = argexpand( 3 ) # Provide 3 arguments

    ## (1) check validity of 1st argument
    if argus < 1:
        return '1st argument is missing.'
    frameset = args[0]

    # The first argument is frequently a file name.
    # Let us handle a default extension.
    if frameset.rfind('.') == -1: # No dot scanning from string end
        frameset = frameset+'.dat'

    # Implant this string in the calling main program for general access
    self.frameset = frameset
    #NOTICE this works with all data and instance structures
    #       This concept permits to directly modify the state
    #       of the main program!
    print('Frameset: %s'%frameset) # print content to screen

    # NOTICE : if frameset has wildcards respective files can be gathered:
    # alphabetically sorted list of the specified files
    #allfiles = sorted(glob.glob(frameset))
    #if len(allfiles) < 1:
    #    return 'No files matching "%s"'%frameset

    return '' # is only necessary, if followed by a return value
#END doit()

# END script procedures

# Main:
err = doit()
if err:
    self.perror( err, traceback_war=False )
    # No signaling of error to the caller
print('Now check yourself: > ipy\n In [1]: self.frameset\n  see!  \n In [2]: quit()')
banner()



